/* rscli.rex:
    $Id: rscli.rex 11 2021-07-11 13:38:17Z jeffr $

    A simple CLI to CORTIME.

    Input:  Time, AM or PM,  list of time correction values, time correction column label
    Output: Corrected time
*/
parse arg rs_time ampm time_adjs col

/* Get time adjustments */
adj = TIMEADJS(time_adjs)

/* Output the adjusted time */
say CORTIME(rs_time ampm adj col)
exit 0