/* TIMEADJS.rex:
    $Id: TIMEADJS.rex 4 2021-07-06 02:37:31Z jeffr $
    Input:  Filename containing list of time correction values
    Output: List of time correction values
*/
TIMEADJS:
parse arg tc
if state(tc) == 0 then
    tcs = linein(tc)
else do
    say 'TIMEADJS.rex error: file not found.'
    tcs = '0,0,0,0,0'
end
return tcs